#ifndef IMPORTS_H
#define IMPORTS_H

#include <qdir.h>
#include <qstring.h>
#include <iostream>

#include "mapcenterobj.h"
#include "settings.h"


///////////////////////////////////////////////////////////////////////

class ImportBase
{
public:
	ImportBase();
	~ImportBase();
	void setDir(const QString &);
	void setFile(const QString &);
	void setMapCenter (MapCenterObj*);
protected:
	QDir tmpDir;
	QString inputDir;
	QString inputFile;
	MapCenterObj *mapCenter;
	
};

///////////////////////////////////////////////////////////////////////
class ImportKDEBookmarks:public ImportBase
{
public:
	void transform();
	QString getTransformedFile();
private:
	QString transformedFile;
};	



#endif
